Package com.xebialabs.xlrelease.api.v1.form

## Class EnvironmentReservationForm

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.form.EnvironmentReservationForm

-     public class EnvironmentReservationForm
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnvironmentReservationForm()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `getApplicationIds()` |
    `java.util.Date` | `getEndDate()` |
    `java.lang.String` | `getEnvironmentId()` |
    `java.lang.String` | `getNote()` |
    `java.util.Date` | `getStartDate()` |
    `void` | `setApplicationIds​(java.util.List<java.lang.String> applicationIds)` |
    `void` | `setEndDate​(java.util.Date endDate)` |
    `void` | `setEnvironmentId​(java.lang.String environmentId)` |
    `void` | `setNote​(java.lang.String note)` |
    `void` | `setStartDate​(java.util.Date startDate)` |
    `EnvironmentReservation` | `toEnvironmentReservation()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvironmentReservationForm

          public EnvironmentReservationForm()

  - ### Method Detail

    - #### toEnvironmentReservation

          public EnvironmentReservation toEnvironmentReservation()

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate​(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate​(java.util.Date endDate)

    - #### getNote

          public java.lang.String getNote()

    - #### setNote

          public void setNote​(java.lang.String note)

    - #### getEnvironmentId

          public java.lang.String getEnvironmentId()

    - #### setEnvironmentId

          public void setEnvironmentId​(java.lang.String environmentId)

    - #### getApplicationIds

          public java.util.List<java.lang.String> getApplicationIds()

    - #### setApplicationIds

          public void setApplicationIds​(java.util.List<java.lang.String> applicationIds)